Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Interface IExtendedResourceFactory

    public interface IExtendedResourceFactory

Mix-in interface to be implemented by `Resource.Factory` implementations that provide extended object name/type/ID information in proxy URIs and/or custom proxy resolution strategies.

Method Summary
`java.lang.String` `getProxyClassID(org.eclipse.emf.ecore.EObject proxy)` Obtains the ID of the specified `proxy` object's EClass from its proxy URI.
`java.lang.String` `getProxyID(org.eclipse.emf.ecore.EObject proxy)` Obtains the ID of the specified `proxy` object from its proxy URI.
`java.lang.String` `getProxyName(org.eclipse.emf.ecore.EObject proxy)` Obtains the name of the specified `proxy` object from its proxy URI.
`java.lang.String` `getProxyQualifiedName(org.eclipse.emf.ecore.EObject proxy)` Obtains the qualified name of the specified `proxy` object from its proxy URI.
`org.eclipse.emf.ecore.EObject` `resolve(TransactionalEditingDomain domain, org.eclipse.emf.ecore.EObject proxy)` Resolves the specified `proxy` object.

Method Detail

### getProxyName

    java.lang.String getProxyName(org.eclipse.emf.ecore.EObject proxy)

  Obtains the name of the specified `proxy` object from its proxy URI.

  Parameters:
    `proxy` - a proxy object
  Returns:
    its name, or `null` to defer to the default proxy name algorithm

### getProxyQualifiedName

    java.lang.String getProxyQualifiedName(org.eclipse.emf.ecore.EObject proxy)

  Obtains the qualified name of the specified `proxy` object from its proxy URI.

  Parameters:
    `proxy` - a proxy object
  Returns:
    its qualified name, or `null` to defer to the default proxy qualified name algorithm

### getProxyID

    java.lang.String getProxyID(org.eclipse.emf.ecore.EObject proxy)

  Obtains the ID of the specified `proxy` object from its proxy URI.

  Parameters:
    `proxy` - a proxy object
  Returns:
    its ID, or `null` to defer to the default proxy ID algorithm

### getProxyClassID

    java.lang.String getProxyClassID(org.eclipse.emf.ecore.EObject proxy)

  Obtains the ID of the specified `proxy` object's EClass from its proxy URI.

  Parameters:
    `proxy` - a proxy object
  Returns:
    its EClass ID, or `null` to defer to the default proxy EClass ID algorithm

### resolve

    org.eclipse.emf.ecore.EObject resolve(TransactionalEditingDomain domain,
                                          org.eclipse.emf.ecore.EObject proxy)

  Resolves the specified `proxy` object.

  Parameters:
    `domain` - the editing domain in which to resolve the proxy (provides, among other things, the resource set context)
    `proxy` - a proxy object
  Returns:
    the resolved object, or `null` if the proxy cannot be resolved

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.